Description

Hello,

I actualy don't think it's quite a change score exactly, but for my outcome variable, I am looking at whether responses to a variable

changed between waves 4 and 6. To do this, I created a variable to indicate yes, their answer had changed or no, it had not.

For my predictors, I am using a mixture of wave 4 variables and further "change" variables I have created (or were available in the

dataset) to indicate whether there has been change or not between waves 4 and 6.

I have been trying to determine if a longitudinal weight is more appropriate (because I am using variables from more than one wave)

or if the wave 6 (or 4), cross-sectional weight would be more appropriate (because I don't have the repeated measures that a more

typical longitudinal analysis would). It would be amazing if you are able to advise on this.

I am using some self-completion items and the combined BHPS and UKHLS sample, so I am thinking that my choice in weights

comes down to f_indscub_xw or f_indscub_lw, although, please correct me if I'm wrong here.

Sorry if this (or similar) has been answered in previous weighting questions, but I couldn't see anything that quite matched it in the

ones I looked through.

Thanks,

Col

History

#1 - 08/05/2020 05:15 AM - Alita Nandi

- Status changed from New to Feedback

- Assignee changed from Olena Kaminska to Colin Whittle

- % Done changed from 0 to 50

Hello,

Yes, as you are looking at change between Waves 4 & 6 and including self-completion items, you should use longitudinal self-completion weights

from wave 6: f_indscub_lw. This weight will account for non-response between waves 4 & 6.

Best wishes,

Alita

On behalf of Understanding Society User Support

#2 - 08/05/2020 05:16 AM - Alita Nandi

- Private changed from Yes to No

#3 - 08/05/2020 01:49 PM - Colin Whittle

Hi Alita,

Brilliant, thank you. However, (if I can ask a follow-up?) I see how the longitudinal weight adjusts for non-response by effectively removing

non-responders from the analysis and that it does this even in cases where they have responded to the waves that are within my range of interest (i.e.

waves 4, 5 and 6), but they missed an earlier wave.

I want to keep the people who responded to waves 4, 5 and 6, even if they missed previous waves. To achieve this, someone suggested to me that I

could divide wave 6's cross-sectional weight by wave 4's cross-sectional weight to create a new weight, which would still provide the necessary

weighting, without losing the sample. Would that be a possibility do you think?

Thank you,

Colin

07/07/2025 1/2



#4 - 08/05/2020 04:00 PM - Olena Kaminska

Colin,

Alita's previous suggestion on the weight is correct. I see your point that you would want to include more people in your analysis as you have

information from them.

A few points to consider:

1. First use our weight with your analysis and look at your results. It is only worth doing tailored weight if your results are marginally significant (e.g.

p=0.06) and your journals are not happy to publish with such results;

2. You can indeed create your tailored weight. The suggestion your mentioned is not complete - what you will get is only the correction for

nonresponse between waves 4 and 6. So no correction for unequal selection probabilities or any nonresponse in wave 1 (most of it comes from wave

1 by the way), and any nonresponse until wave 4 will not be taken into account. In other words your results will not be representative of a population.

3. If you are interested in creating your own tailored weight I can share with you a syntax example. Please just email us a request.

Hope this helps,

Olena

#5 - 11/23/2020 08:12 AM - Alita Nandi

- % Done changed from 50 to 90

#6 - 10/13/2021 11:21 AM - Understanding Society  User Support Team

- Status changed from Feedback to Resolved

- Assignee deleted (Colin Whittle)

- % Done changed from 90 to 100
